# 🍅 py-pomodoro-cli

A simple and beautiful Pomodoro CLI tool built with `typer` and `rich`. 🚀

This little tool helps you stay focused and productive by using the Pomodoro Technique right from your terminal!

## ✨ Features

*   **Simple Interface**: Easy to use with a single command.
*   **Customizable Intervals**: Set your own Pomodoro timer intervals.
*   **Beautiful Output**: Uses the `rich` library for elegant progress bars and colorful text.

## 📦 Installation

You can install `py-pomodoro-cli` directly from PyPI:

```bash
pip install py-pomodoro-cli
```

## 🚀 Usage

To start a default 25-minute Pomodoro session, simply run:

```bash
py-pomodoro-cli
```

You can also specify a custom interval in minutes using the `--interval` or `-i` option:

```bash
# Start a 5-minute short break
py-pomodoro-cli --interval 5

# Start a 45-minute focus session
py-pomodoro-cli -i 45
```

Once the timer is complete, you'll get a friendly notification! 🎉

## 🤝 Contributing

Contributions are welcome! If you have any ideas, suggestions, or bug reports, please open an issue or submit a pull request.

## 📝 License

This project is licensed under the MIT License. See the `LICENSE` file for details.
